Python 2 不再受社区支持。我们建议您将 Python 2 应用迁移到 Python 3

设置开发环境

如需设置环境以便进行 Python 2 开发,请执行以下操作:

  1. 安装最新版本的 Python 2。

    如需获取受支持版本的列表,请参阅 Python 2 运行时环境

  2. 安装并初始化 Cloud SDK。如果您已安装并初始化 Cloud SDK,请运行 gcloud components update 命令以更新到最新版本。

    Cloud SDK 为您提供了 gcloud 命令行工具用于部署和管理应用。

    下载 App Engine 版 Cloud SDK 即表示您同意遵守其使用条款

    安装并初始化 Cloud SDK

  3. 安装包含适用于 Python 2 的 App Engine 扩展程序的 gcloud 组件

    如果您使用 aptyum 软件包管理器安装了 Cloud SDK,请使用相同的软件包管理器安装 gcloud 组件

    否则,请使用以下命令:

     gcloud components install app-engine-python
    

安装可选工具

  • 要访问 GitHub 中的代码、样本、库和工具,请安装 Git:

    安装 Git

  • 安装您偏好的工具或框架,例如,您可以使用以下任何一种框架来开发 Python 2 应用:

  • 运行以下命令以安装 Python 2 版 Extra Libraries 组件,该组件包含 graphyDjango 库:

      gcloud components install app-engine-python-extras